summaryrefslogtreecommitdiffstats
path: root/source.local/a/usb_modeswitch
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
commit55bce4decbbdde684c63507f88f4f33694579f4f (patch)
tree409994b26efea8c2a9f65206de616bed4f931d25 /source.local/a/usb_modeswitch
parentb100c7c57e8a1363adfffe22f68b6429b9576dd3 (diff)
downloadalienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.gz
alienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.xz
Update to Alien's ARM which allows XFCE to run on an ARM ChromeBook.
This large update brings Alien's ARM repository almost to the same level of package versions in slackware-current. THese updates were needed to make it possible to start a functional XFCE session on Samsung's ARM ChromeBook (XE303C12).
Diffstat (limited to 'source.local/a/usb_modeswitch')
-rw-r--r--source.local/a/usb_modeswitch/device_reference.txt.gzbin9312 -> 12926 bytes
-rwxr-xr-xsource.local/a/usb_modeswitch/usb_modeswitch.SlackBuild107
2 files changed, 63 insertions, 44 deletions
diff --git a/source.local/a/usb_modeswitch/device_reference.txt.gz b/source.local/a/usb_modeswitch/device_reference.txt.gz
index 3683139..2c1d266 100644
--- a/source.local/a/usb_modeswitch/device_reference.txt.gz
+++ b/source.local/a/usb_modeswitch/device_reference.txt.gz
Binary files differ
diff --git a/source.local/a/usb_modeswitch/usb_modeswitch.SlackBuild b/source.local/a/usb_modeswitch/usb_modeswitch.SlackBuild
index 9a624d4..de45454 100755
--- a/source.local/a/usb_modeswitch/usb_modeswitch.SlackBuild
+++ b/source.local/a/usb_modeswitch/usb_modeswitch.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for usb_modeswitch.
-# Copyright 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# Copyright 2010 David Somero, Athens, TN, USA
# All rights reserved.
#
@@ -23,50 +23,48 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
-
-
PKGNAM=usb_modeswitch
-VERSION=${VERSION:-1.1.6}
-DATAVER=${DATAVER:-20101222}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.2.4}
+DATAVER=${DATAVER:-20120812}
+BUILD=${BUILD:-2}
# Upstream is playing guess the program name.
SRCPKGNAM=$(echo $PKGNAM | tr _ -)
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
- esac
-fi
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- LIBDIRSUFFIX=""
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
+else
+ # Automatically determine the architecture we're building on:
+ if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -81,11 +79,30 @@ find . \
-exec chmod 644 {} \;
make clean
-gcc $SLKCFLAGS $LDFLAGS -lusb -Wall -o usb_modeswitch usb_modeswitch.c || exit 1
-
-install -D -s -m 0755 usb_modeswitch $PKG/usr/sbin/usb_modeswitch
-install -D -m 0755 usb_modeswitch.tcl $PKG/lib/udev/usb_modeswitch
-install -D -m 0644 usb_modeswitch.conf $PKG/etc/usb_modeswitch.conf.new
+# "make static" uses the embedded "jim" Tcl interpreter
+make static
+
+install -D -s --mode=755 usb_modeswitch $PKG/usr/sbin/usb_modeswitch
+install -D --mode=755 usb_modeswitch.sh $PKG/lib/udev/usb_modeswitch
+install -D --mode=644 usb_modeswitch.conf $PKG/etc/usb_modeswitch.conf.new
+install -D --mode=644 usb_modeswitch.1 $PKG/usr/man/man1/usb_modeswitch.1
+install -d $PKG/var/lib/usb_modeswitch
+install -D -s --mode=755 usb_modeswitch_dispatcher $PKG/usr/sbin/usb_modeswitch_dispatcher
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
@@ -93,6 +110,10 @@ cp -a \
$PKG/usr/doc/$PKGNAM-$VERSION
# http://www.draisberghof.de/usb_modeswitch/device_reference.txt.gz
cat $CWD/device_reference.txt.gz > $PKG/usr/doc/$PKGNAM-$VERSION/device_reference.txt
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/jim
+cp -a \
+ jim/{AUTHORS,LICENSE,README*} \
+ $PKG/usr/doc/$PKGNAM-$VERSION/jim
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
@@ -113,9 +134,7 @@ find . \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-install -D -m 0644 40-usb_modeswitch.rules $PKG/lib/udev/rules.d/40-usb_modeswitch.rules
-mkdir -p $PKG/etc
-cp -a usb_modeswitch.d $PKG/etc
+make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/usb-modeswitch-data-${DATAVER}
cat ChangeLog | head -n 1000 > $PKG/usr/doc/usb-modeswitch-data-${DATAVER}/ChangeLog
touch -r ChangeLog $PKG/usr/doc/usb-modeswitch-data-${DATAVER}/ChangeLog